libetonyek::IWORKPElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKPElement Class Reference

`#include <IWORKPElement.h>`

Inheritance diagram for libetonyek::IWORKPElement:

## Public Member Functions
| IWORKPElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
void | text (const char *value) override
void | ensureOpened ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
IWORKStylePtr_t | m_style
bool | m_opened
bool | m_delayedPageBreak
boost::optional< unsigned > | m_listLevel

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPElement()

libetonyek::IWORKPElement::IWORKPElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKPElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKPElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKPElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ ensureOpened()

void libetonyek::IWORKPElement::ensureOpened | ( |  | ) |
| protected

Referenced by element(), endOfElement(), and text().

## ◆ text()

void libetonyek::IWORKPElement::text | ( | const char * | value | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_delayedPageBreak

bool libetonyek::IWORKPElement::m_delayedPageBreak
| private

Referenced by element(), and endOfElement().

## ◆ m_listLevel

boost::optional<unsigned> libetonyek::IWORKPElement::m_listLevel
| private

Referenced by attribute().

## ◆ m_opened

bool libetonyek::IWORKPElement::m_opened
| private

Referenced by ensureOpened().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKPElement::m_style
| private

Referenced by attribute(), and ensureOpened().

The documentation for this class was generated from the following files:

- IWORKPElement.h
- IWORKPElement.cpp